# @summary Manages a ini_setting for the general ckan configuration.
#
define ckan::conf::setting (
  $value,
  $ensure            = present,
  $path              = $ckan::ckan_conf,
  $section           = 'app:main',
  $key_val_separator = '=',
  $setting           = $title,
  $use_exact_match   = true,
){

  ini_setting{"${title}_setting":
    ensure            => $ensure,
    path              => $path,
    section           => $section,
    key_val_separator => $key_val_separator,
    setting           => $setting,
    value             => $value,
  }
}
