# @summary Manages a ini_subsetting for the views
#
define ckan::conf::views_setting (
  $ensure            = present,
  $path              = $ckan::ckan_conf,
  $section           = 'app:main',
  $key_val_separator = '=',
  $setting           = 'ckan.views.default_views',
  $subsetting        = $title,
  $use_exact_match   = true,
){
  ini_subsetting{"${title}_views":
    ensure            => $ensure,
    path              => $path,
    section           => $section,
    key_val_separator => $key_val_separator,
    setting           => $setting,
    subsetting        => $subsetting,
    use_exact_match   => $use_exact_match,
  }
}
