# @summary install the datapusher
#
class ckan::install::datapusher {
  $datapusher_dir = '/usr/lib/ckan/datapusher'
  $datapusher_src = "${datapusher_dir}/src"

  file{'/usr/local/bin/ckan_install_datapusher.bash':
    ensure  => file,
    mode    => '0755',
    source  => 'puppet:///modules/ckan/ckan_install_datapusher.bash',
    require => File['/usr/lib/ckan','/usr/lib/ckan/default'],
  }

  #exec{'setup_datapusher':
  #  command => '/usr/local/bin/ckan_install_datapusher.bash 1',
  #  creates => $datapusher_dir,
  #  timeout => 0,
  #  require => File['/usr/local/bin/ckan_install_datapusher.bash'],
  #}

  file{[$datapusher_dir,$datapusher_src]:
    ensure  => directory,
    #require => Exec['setup_datapusher'],
    require => File['/usr/local/bin/ckan_install_datapusher.bash'],
  }
  vcsrepo{$datapusher_src:
    ensure   => present,
    provider => 'git',
    source   => 'https://github.com/ckan/datapusher.git',
    revision => $ckan::datapusher_version,
  }
  exec{'install_datapusher':
    #command => '/usr/local/bin/ckan_install_datapusher.bash 2',
    command => '/usr/local/bin/ckan_install_datapusher.bash',
    creates => "${datapusher_src}/datapusher.egg-info",
    timeout => 0,
    require => Vcsrepo[$datapusher_src],
  }
}
