# @summary Manages installing a non default language.
#
# This class expects a zip file that has the contents of the language.
# The contents of the zip file should have the following:
#
#    * LC_MESSAGES/ckan.mo
#    * LC_MESSAGES/ckan.po
#
# @param url
#   The url to the language build.  The build is a zip file with a root
#   directory.
#
# @param language
#   The language that is to be installed.
#
define ckan::lang (
  $url,
  $language = $title,
){

  include deploy_zip

  deploy_zip::zip{$language:
    deployment_dir => $ckan::ckan_lang_dir,
    url            => $url,
    before         => Class['ckan::service'],
  }

  file{$ckan::ckan_lang_base:
    ensure  => directory,
    recurse => true,
    mode    => '0777',
    require => Deploy_zip::Zip[$language],
  }
}
